openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/SODIS_GET_REQUESTS:
    post:
      tags:
      - SI_SODIS_INTERFACES
      summary: Gets transport requests of the ABAP stack
      operationId: /rfc/SODIS_GET_REQUESTS
      requestBody:
        content:
          application/json:
            schema:
              properties:
                IV_ALL_REQ_AND_ALL_OWN_TASK:
                  type: string
                  maxLength: 1
                  description: General Flag
                IV_ALL_REQ_WITH_OWN_TASK:
                  type: string
                  maxLength: 1
                  description: General Flag
                IV_ATTR_REF:
                  type: string
                  maxLength: 32
                  description: Attribute value
                IV_FROM_DATE:
                  type: string
                  format: date
                  description: Date of Last Change
                IV_OWNER:
                  type: string
                  maxLength: 12
                  description: Owner of a Request or Task
                IV_REQ_ATTR:
                  type: string
                  maxLength: 30
                  description: Request attribute
                IV_REQ_STATUS:
                  type: string
                  default: C
                  maxLength: 1
                  description: Status of request/task
                IV_REQ_TYPE:
                  type: string
                  default: KWSRXQ
                  maxLength: 26
                  description: Status vector for status (long)
                IV_SRC_CLIENT:
                  type: string
                  maxLength: 3
                  description: Source client of request
                IV_TARGET_SYSTEM:
                  type: string
                  maxLength: 10
                  description: Transport target of a request
                IV_TO_DATE:
                  type: string
                  format: date
                  description: Date of Last Change
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  ET_TRKORR:
                    type: array
                    items:
                      type: object
                      properties:
                        REQUESTS:
                          type: object
                          properties:
                            TRKORR:
                              type: string
                              maxLength: 20
                              description: Request/Task
                            TRFUNCTION:
                              type: string
                              maxLength: 1
                              description: 'Type of request/task  enumValues: P=Piece List for Upgrade,C=Relocation of Objects Without Package Change,M=Client Transport Request,K=Workbench Request,T=Transport of Copies,X=Unclassified Task,Q=Customizing Task,S=Development/Correction,O=Relocation of Objects with Package Change,E=Relocation of Complete Package,G=Piece List for CTS Project,F=Piece List,W=Customizing Request,R=Repair,D=Piece List for Support Package'
                              enum:
                              - P
                              - C
                              - M
                              - K
                              - T
                              - X
                              - Q
                              - S
                              - O
                              - E
                              - G
                              - F
                              - W
                              - R
                              - D
                            TRSTATUS:
                              type: string
                              maxLength: 1
                              description: 'Status of request/task  enumValues: N=Released (with Import Protection for Repaired Objects),L=Modifiable, Protected,R=Released,O=Release Started,D=Modifiable'
                              enum:
                              - N
                              - L
                              - R
                              - O
                              - D
                            TARSYSTEM:
                              type: string
                              maxLength: 10
                              description: Transport Target of Request
                            KORRDEV:
                              type: string
                              maxLength: 4
                              description: 'Request or task category  enumValues: CUST=Client-specific Customizing,SYST=Repository, cross-client objects'
                              enum:
                              - CUST
                              - SYST
                            AS4USER:
                              type: string
                              maxLength: 12
                              description: Owner of a Request or Task
                            AS4DATE:
                              type: string
                              format: date
                              description: Date of Last Change
                            AS4TIME:
                              type: string
                              maxLength: 6
                              description: Last changed at
                            STRKORR:
                              type: string
                              maxLength: 20
                              description: Higher-Level Request
                            AS4TEXT:
                              type: string
                              maxLength: 60
                              description: Short Description of Repository Objects
                            AS4TEXT_FILLED:
                              type: string
                              maxLength: 1
                              description: 'General Flag  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                              enum:
                              - X
                              - ''
                            CLIENT:
                              type: string
                              maxLength: 3
                              description: Source client of request
                            TARCLIENT:
                              type: string
                              maxLength: 3
                              description: Target client for the request
                            CLIENTS_FILLED:
                              type: string
                              maxLength: 1
                              description: 'General Flag  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                              enum:
                              - X
                              - ''
                            TARDEVCL:
                              type: string
                              maxLength: 30
                              description: Target Package
                            DEVCLASS:
                              type: string
                              maxLength: 30
                              description: Package
                            TARLAYER:
                              type: string
                              maxLength: 4
                              description: Target Transport Layer
                            E070M_FILLED:
                              type: string
                              maxLength: 1
                              description: 'General Flag  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                              enum:
                              - X
                              - ''
                            CTSPROJECT:
                              type: string
                              maxLength: 32
                              description: Attribute value
                        ATTRIBUTES:
                          type: array
                          items:
                            type: object
                            properties:
                              TRKORR:
                                type: string
                                maxLength: 20
                                description: Request/Task
                              POS:
                                type: integer
                                format: int64
                                description: 'Dictionary: Line item'
                              ATTRIBUTE:
                                type: string
                                maxLength: 30
                                description: Request attribute
                              REFERENCE:
                                type: string
                                maxLength: 32
                                description: Attribute value
                        TASK:
                          type: array
                          items:
                            type: object
                            properties:
                              TRKORR:
                                type: string
                                maxLength: 20
                                description: Request/Task
                              TRFUNCTION:
                                type: string
                                maxLength: 1
                                description: Type of request/task
                              TRSTATUS:
                                type: string
                                maxLength: 1
                                description: Status of request/task
                              TARSYSTEM:
                                type: string
                                maxLength: 10
                                description: Transport Target of Request
                              KORRDEV:
                                type: string
                                maxLength: 4
                                description: Request or task category
                              AS4USER:
                                type: string
                                maxLength: 12
                                description: Owner of a Request or Task
                              AS4DATE:
                                type: string
                                format: date
                                description: Date of Last Change
                              AS4TIME:
                                type: string
                                maxLength: 6
                                description: Last changed at
                              STRKORR:
                                type: string
                                maxLength: 20
                                description: Higher-Level Request
                              AS4TEXT:
                                type: string
                                maxLength: 60
                                description: Short Description of Repository Objects
                              AS4TEXT_FILLED:
                                type: string
                                maxLength: 1
                                description: General Flag
                              CLIENT:
                                type: string
                                maxLength: 3
                                description: Source client of request
                              TARCLIENT:
                                type: string
                                maxLength: 3
                                description: Target client for the request
                              CLIENTS_FILLED:
                                type: string
                                maxLength: 1
                                description: General Flag
                              TARDEVCL:
                                type: string
                                maxLength: 30
                                description: Target Package
                              DEVCLASS:
                                type: string
                                maxLength: 30
                                description: Package
                              TARLAYER:
                                type: string
                                maxLength: 4
                                description: Target Transport Layer
                              E070M_FILLED:
                                type: string
                                maxLength: 1
                                description: General Flag
                              CTSPROJECT:
                                type: string
                                maxLength: 32
                                description: Attribute value
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
